summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2017-07-31 17:27:02 +0200
committerManuel Rüger <mrueg@gentoo.org>2017-07-31 17:27:02 +0200
commit42f649cb4ba0b70aecb0cb72f4b069024711e964 (patch)
tree2f2683468a58d4c8af362d9d341898f8230b84eb
parentwww-servers/uwsgi: revbump for #624866 #624860 #596598 #620852 (diff)
downloadgentoo-42f649cb.tar.gz
gentoo-42f649cb.tar.bz2
gentoo-42f649cb.zip
sys-apps/habitat: Version bump to 0.28.0
Package-Manager: Portage-2.3.6, Repoman-2.3.3
-rw-r--r--sys-apps/habitat/Manifest2
-rw-r--r--sys-apps/habitat/habitat-0.28.0.ebuild35
2 files changed, 37 insertions, 0 deletions
diff --git a/sys-apps/habitat/Manifest b/sys-apps/habitat/Manifest
index a96bb2d7d5b..33861b26d78 100644
--- a/sys-apps/habitat/Manifest
+++ b/sys-apps/habitat/Manifest
@@ -1,2 +1,4 @@
DIST habitat-0.26.1.tar.gz 25110054 SHA256 cc6ec658462486c27422630b0147f86d8684ed43157854fd54d820bf981899d8 SHA512 56d8f634ea7465f7e4b19ab34b8f5b5d25ed0252b61a438d9d74a5fc130ca216c65d5e69fb56f28eb8cf034512128340fcc3d35d86b9549c31001289f9b6eba1 WHIRLPOOL 66b2ec6a90f603615297d738449823e0289bd55672610a85b3d7141c1db06bc9912d64a12da7d1a7f793c06ac94f5c4fb19f854c2c22741471691259bae69cab
+DIST habitat-0.28.0.tar.gz 25147061 SHA256 8ca0c96634989620ddf308dfcaf93e6c6235896226b1be3fa257fc0d56f7b272 SHA512 eccdced6655e46b894aa3ef29cbac7100e18b4c44c7c2c7a25d5bb31ba732f908122630a7dd35c6347fa805180b471ce7dac786113d2f9b6d35a967994913b9f WHIRLPOOL 029d4efe81844f22ebac9061073d05ee31aaa79f9fae4a539f314ef0692773295855c15d8d8c26b9ddd0f0f684e7d4f69bd51dc506f80a555edaaa858d655455
DIST habitat-cargo-0.26.1.tar.xz 85492808 SHA256 2f532f8a829767318f93f02ec66f4998655b6ce6dd20a7e705c27029216c04dd SHA512 08e92f6995f220a7f48f86e2425e3bbcf9b988f34fcff42211427d0b66071e006748ac67a762d15d3e99e30438e528bfd66951b4d88d7a9ea84713718eed2293 WHIRLPOOL f82f7e57973d14f9f9a9b131a0947965e6fa72ec7931df93c19a356293d16ec4f49fbcc300f5fbc6c7183b7f21f4b15e73ebe64a3f67a32a03caf902c4ed7ec0
+DIST habitat-cargo-0.28.0.tar.xz 84559904 SHA256 2494a1cb30366428f7586bf5570055440e13f83021ea0aa6e69ec4e3a63b3fd4 SHA512 d6f798e21bfa8124820f505231423b0ef72d068a38e8a88f0d196cfcf9e5d7a2142499f809a8525ec2f5ce664e7598d5c0979efcd2511e860b8f884ac4f6fd4b WHIRLPOOL 2f98db3cc50453a0e9805d286274ce3b3b9676efba4dac34ea32b9d94e2b02cb8a6b70a76fb7f2dac24829c4f3508dd5d55058820f4ee138d2964a35e701f77c
diff --git a/sys-apps/habitat/habitat-0.28.0.ebuild b/sys-apps/habitat/habitat-0.28.0.ebuild
new file mode 100644
index 00000000000..c968a491084
--- /dev/null
+++ b/sys-apps/habitat/habitat-0.28.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Application automation framework"
+HOMEPAGE="https://github.com/habitat-sh/habitat https://habitat.sh"
+SRC_URI="https://github.com/habitat-sh/habitat/archive/${PV}.tar.gz -> ${P}.tar.gz
+ https://dev.gentoo.org/~mrueg/files/${PN}-cargo-${PV}.tar.xz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="dev-util/cargo
+ >=dev-lang/rust-1.11
+ >=net-libs/zeromq-3.2
+ virtual/pkgconfig"
+
+RESTRICT="test"
+
+src_prepare() {
+ default
+ # move cache dir where cargo expects it
+ mv ../.cargo "${HOME}" || die
+}
+
+src_install() {
+ dodoc README.md CHANGELOG.md
+ dobin target/debug/hab{,-butterfly,-sup}
+}
+
+src_test() {
+ emake unit-all
+}